Subject: DLL - Interface

From: Aparecido Valdemir de Freitas <[email-masked]>
Date: Fri, 27 Aug 1999 09:33:01 -0300

Hello,
I am writing an interface that help to programmer to develop a program
with several programming paradigms.

I wrote a DLL program (in C language) that writes or reads an
information (such as, integer number) in a shared area of the
environment. This program is OK.

I write a SWI-Prolog 3.2 that process the factorial of a number. I would
like that the result of my Prolog program would be write in this shared
area. I would like to substitute the predicate write(F) in my SWI-Prolog
by a call of my DLL that would be the work of write the result F in a
shared area of my environment.

So, I need to call this DLL (wrote in C) from my SWI-Prolog.

Somebody could me help!

Thank you!

Aparecido Valdemir de Freitas
[email-masked]